function createTheme(themeVars) {
  if (typeof themeVars !== "function")
    throw new TypeError(
      `Invalid param 'themeVars', expected 'function', received '${typeof themeVars}'.`
    );
  const themeBuilder = themeVars.bind({});
  themeBuilder.isFromThemeBuilder = true;
  return themeBuilder;
}
var themeGenerator_default = createTheme;
export {
  themeGenerator_default as default
};
